import { IErrorObject, ILogObject, ISettings, ISettingsParam, ITransportLogger, TLogLevel } from "./interfaces";
export { ITransportLogger, ILogObject, IErrorObject };
export declare class Logger {
    private readonly _logLevels;
    private _ignoreStackLevels;
    private _attachedTransports;
    private readonly _minLevelToStdErr;
    readonly settings: ISettings;
    constructor(settings?: ISettingsParam);
    attachTransport(logger: ITransportLogger<(message: ILogObject) => void>, minLevel?: TLogLevel): void;
    silly(...args: unknown[]): ILogObject;
    trace(...args: unknown[]): ILogObject;
    debug(...args: unknown[]): ILogObject;
    info(...args: unknown[]): ILogObject;
    warn(...args: unknown[]): ILogObject;
    error(...args: unknown[]): ILogObject;
    /**
     * Returns the average of two numbers.
     *
     * @param x - The first input number
     * @returns LogObject containing all the relevant information about this log
     *
     */
    fatal(...args: unknown[]): ILogObject;
    /** @internal */
    private _handleLog;
    /** @internal */
    private _buildLogObject;
    /** @internal */
    private _toStackObjectArray;
    /** @internal */
    private _printPrettyLog;
    /** @internal */
    private _printPrettyStack;
    /** @internal */
    private _printJsonLog;
}
//# sourceMappingURL=index.d.ts.map